from .utils import get_settings

SETTINGS = get_settings()
PAGES_DIR = SETTINGS.get("PAGES_DIR", "site/pages")

RENDER_SETTINGS = get_settings("RENDER")
RENDER_URL = RENDER_SETTINGS.get("URL", "http://0.0.0.0:3000/render")
RENDER_TIMEOUT = RENDER_SETTINGS.get("TIMEOUT", 5.0)
RENDER_TEMPLATE_NAME = RENDER_SETTINGS.get("TEMPLATE_NAME", None)
RENDER_HEADERS = RENDER_SETTINGS.get("HEADERS", {"Content-Type": "application/json"})

DEFAULT_STATE_SETTINGS = get_settings("DEFAULT_STATE")
DEFAULT_STATE_URL = DEFAULT_STATE_SETTINGS.get("URL", "http://0.0.0.0:3000/state")
DEFAULT_STATE_TIMEOUT = DEFAULT_STATE_SETTINGS.get("TIMEOUT", 5.0)
DEFAULT_STATE_HEADERS = DEFAULT_STATE_SETTINGS.get("HEADERS", {"Content-Type": "application/json"})
DEFAULT_STATE_FILENAME = DEFAULT_STATE_SETTINGS.get("FILENAME", "defaultState.json")

SECRET_KEY_SETTINGS = get_settings("SECRET_KEY")
SECRET_KEY_VALUE = SECRET_KEY_SETTINGS.get("VALUE", None)
SECRET_KEY_HEADER_NAME = SECRET_KEY_SETTINGS.get("HEADER_NAME", "secret-key")

USER_AGENT_SETTINGS = get_settings("USER_AGENT")
USER_AGENT_HEADER_NAME = USER_AGENT_SETTINGS.get("HEADER_NAME", "HTTP_USER_AGENT")

AUTHENTICATION_SETTINGS = get_settings("AUTHENTICATION")
AUTHENTICATION_STATE_NAME = AUTHENTICATION_SETTINGS.get("NAME", "authentication")
AUTHENTICATION_USER_SERIALIZER = AUTHENTICATION_SETTINGS.get("USER_SERIALIZER", None)
AUTHENTICATION_USER_STATE_PATH = AUTHENTICATION_SETTINGS.get("USER_STATE_PATH", "authentication.user")
AUTHENTICATION_TOKENS_STATE_PATH = AUTHENTICATION_SETTINGS.get("TOKENS_STATE_PATH", "authentication.tokens")
